Package org.bukkit.boss

# Enum Class BarColor

java.lang.Object
java.lang.Enum<BarColor>
org.bukkit.boss.BarColor

All Implemented Interfaces:
  `Serializable`, `Comparable<BarColor>`, `Constable`

public enum BarColor extends Enum<BarColor>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLUE`
`GREEN`
`PINK`
`PURPLE`
`RED`
`WHITE`
`YELLOW`

## Method Summary

Modifier and Type
Method
Description
`static BarColor`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BarColor[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PINK

public static final BarColor PINK

### BLUE

public static final BarColor BLUE

### RED

public static final BarColor RED

### GREEN

public static final BarColor GREEN

### YELLOW

public static final BarColor YELLOW

### PURPLE

public static final BarColor PURPLE

### WHITE

public static final BarColor WHITE

## Method Details

### values

public static BarColor[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BarColor valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null